Subject: bug#16505: Acknowledgement (24.3.50; Emacs seems to loose key events when typing fast (seriously))

From: Eli Zaretskii <[email-masked]>
Date: Sat, 08 Feb 2014 22:29:38 +0200

> Date: Sat, 8 Feb 2014 21:04:13 +0100
> From: Anders Lindgren <[email-masked]>
> Cc: Dmitry Antipov <[email-masked]>, [email-masked], Eli Zaretskii <[email-masked]>
> 
> By back-applying 111505 into earlier revisions I have concluded that 110812
> contains the problem. To ensure that the problem wasn't caused by 111505
> itself, I also applied it to 110785 (the last revision without this
> problem) without introducing the "key dropped" problem. In other words, the
> problem must have been introduced somewhere in the range 110796..110811.

If that is the range, the only relevant commit seems to be 110802.

> Unfortunately, I get a build error below for these revisions. The build
> error is "not enough room for load commands for new __DATA segments", which
> is issued from deep inside the "unexmacosx.c" module. I have no insight
> into the "unexec" process, so this has stopped me from narrowing down the
> problem further.
> 
> Any suggestions on moving forward would be welcome -- for example, would it
> be possible to run Emacs undumped, avoiding unexec all together?

Try reverting only 110802.